SuperSU v2.82 Lanzado en Google Play Store

El desarrollador senior reconocido Chainfire ha anunciado que SuperSU se está actualizando a la versión 2.82. La última aplicación ya debería estar disponible en Google Play Store para la mayoría de los usuarios, ya que el lanzamiento comenzó la semana pasada.

Esto viene después de algunas actualizaciones que causaron una serie de problemas con algunos usuarios. Chainfire y la compañía CCMT lanzaron una solución rápida de errores, pero no se solucionaron todos los problemas. SuperSU v2.80 provocó un bootloop en algunos dispositivos Xperia que ejecutan la versión anterior de Android. La versión disponible en Play Store no lo arregla. Los usuarios que aún enfrentan el problema deben mostrar el último archivo ZIP disponible en el servidor de Chainfire, que hemos vinculado a continuación.

De lo contrario, la nueva versión contiene muchas correcciones de errores y mejoras, y la mayoría de los cambios se centran en la estabilidad para los usuarios de Android Nougat. El manejo de SELinux se ha modificado significativamente para Android 7.0+. El conjunto de reglas requerido se ha reducido, y los binarios ahora viven y ejecutan comandos en su propio contexto supersu .

Según Chainfire, la última versión de SuperSU debería funcionar en algunos dispositivos con Android O Developer Preview 2, aunque algunos dispositivos (principalmente Google Pixel y Pixel XL) aún no son compatibles. Chainfire recomienda esperar un poco más para la versión SR1 o SR2.

La firma de la imagen de arranque aún no está integrada, pero debería encontrar su lugar en la próxima versión SR1. Como recordatorio, Google recientemente comenzó a exigir que todas las imágenes de arranque se firmen en Google Pixel y Pixel XL a partir del lanzamiento de la actualización de seguridad de mayo. Si está planeando instalar el último SuperSU en su Pixel, tendrá que actualizar el zip VerifiedBootSigner después de flashear el zip SuperSU vinculado a continuación pero antes de reiniciar.

Finalmente, el equipo de SuperSU decidió abandonar el soporte para Android 2.1 Eclair y 2.2 Froyo. Android 2.3 Gingerbread es ahora el dispositivo compatible más antiguo. Las estadísticas oficiales muestran que un pequeño número de dispositivos ejecutan estas versiones antiguas de Android, por lo que tiene sentido que se suspenda el soporte dado el tiempo que se puede pasar probando la compatibilidad con cada actualización.


Fuente: Chainfire (Google+) Obtenga el último ZIP SuperSU flashable